/* MEDIA QUERY TABLETS  */
@media screen and (max-width: 1024px) {
  .container {
    width: var(--container-width-md);
  }
  h1 {
    font-size: 2.2rem;
  }
  h2 {
    font-size: 1.7rem;
  }
  h3 {
    font-size: 1.4rem;
  }

  /* NAVBAR  */
  nav button {
    display: inline-block;
    background-color: transparent;
    font-size: 1.8rem;
    color: var(--color-white);
    cursor: pointer;
  }
  nav button#close-menu-btn {
    display: none;
  }
  .nav__menu {
    position: fixed;
    top: 5rem;
    right: 5%;
    height: fit-content;
    width: 18rem;
    flex-direction: column;
    gap: 0;
    display: none;
  }
  .nav__menu li {
    width: 100%;
    height: 5.8rem;
    animation: animateNavItems 1s linear forwards;
    transform-origin: top right;
    opacity: 0;
  }
  .nav__menu li:nth-child(2) {
    animation-delay: 200ms;
  }
  .nav__menu li:nth-child(3) {
    animation-delay: 400ms;
  }
  .nav__menu li:nth-child(4) {
    animation-delay: 600ms;
  }
  @keyframes animateNavItems {
    0% {
      transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);
    }
    100% {
      transform: rotateZ(0) rotateX(0) scale(1);
      opacity: 1;
    }
  }
  .nav__menu li a {
    background: var(--color-primary);
    box-shadow: -4rem 6rem 10 rem rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
  }
  .nav__menu li a :hover {
    background: var(--color-bg2);
    color: var(--color-white);
  }

  /* Header  */
  header {
    height: 52vh;
    margin-bottom: 4rem;
  }
  .header__container {
    gap: 0;
    padding-bottom: 3rem;
  }

  /* CATEGORIES  */
  .categories {
    height: fit-content;
  }
  .categories__container {
    grid-template-columns: 1fr;
    gap: 3rem;
  }
  .categories__left {
    margin-right: 0;
  }

  /* COURSES  */
  .courses {
    margin-top: 0;
  }
  .courses__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
  }

  /* FAQS  */
  .faqs__container {
    grid-template-columns: 1fr;
  }

  /* FOOTER  */
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}
